Subject: Re: linux-next: slab tree build failure

From: "Luis R. Rodriguez" <[email-masked]>
Date: Tue, 8 Sep 2009 09:32:36 -0700

On Mon, Sep 07, 2009 at 01:35:09AM -0700, Catalin Marinas wrote:
> On Mon, 2009-09-07 at 09:10 +0300, Pekka Enberg wrote:
> > Hi Stephen,
> >
> > On Mon, Sep 7, 2009 at 8:37 AM, Stephen Rothwell<[email-masked]> wrote:
> > > Hi all,
> > >
> > > Today's linux-next build (x86_64 allmodconfig) failed like this:
> > >
> > > net/wireless/scan.c: In function 'cfg80211_inform_bss':
> > > net/wireless/scan.c:499: error: implicit declaration of function 'kmemleak_ignore'
> > >
> > > Caused by commit 74ce35c0d2261896ed4d49799311a894520f7a94 ("cfg80211:
> > > clear cfg80211_inform_bss() from kmemleak reports") from the wireless
> > > tree (which should have included linux/kmemleak.h into
> > > net/wireless/scan.c).  Some interaction with the slab tree has exposed
> > > this.
> > >
> > > I have reverted the above commit for today.
> >
> > AFAICT, you're interested in kmemleak.git, not slab.git. Catalin?
> 
> I think that's a commit from Luis. It shouldn't have been merged in the
> first instance anyway (we shouldn't randomly ignore kmemleak reports
> unless we know for sure why kmemleak thinks it is a leak and we should
> write a comment explaining why).

I asked John to revert it, feel free to do the same.

  Luis